%define debug_package %{nil}

Summary:	BEViewer - GUI for bulk_extractor

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		BEViewer
Version:	1.3.006
Release:	1%{?dist}

License:	GPL
URL:		https://github.com/simsong/bulk_extractor/wiki/BEViewer

Group:		Applications/Forensics Tools
Source:		%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-patch-001
BuildArch:	noarch
BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
Requires:	java >= 1:1.6.0
Requires:	bulk_extractor

%description
Bulk Extractor Viewer (BEViewer) is a User Interface for browsing features that have been
extracted via the bulk_extractor feature extraction tool. BEViewer supports browsing
multiple images and bookmarking and exporting features. BEViewer also provides a User
Interface for launching bulk_extractor scans.

%prep
%setup
%patch0 -p1

%build

%install
%{__install} -d %{buildroot}%{_javadir}
%{__install} -Dp -m644 %{name}-%{version}.jar %{buildroot}%{_javadir}/
%{__install} -d %{buildroot}%{_bindir}
cat >> %{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
exec java -Xmx1g -jar %{_javadir}/%{name}-%{version}.jar
EOF
ln -s %{name} %{buildroot}%{_bindir}/bulk_extractor_viewer
ln -s %{name} %{buildroot}%{_bindir}/gbulk_extractor

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc %{name}-%{version}.html
%attr(644, root, root)	%{_javadir}/%{name}-%{version}.jar
%attr(755, root, root)	%{_bindir}/%{name}
%attr(755, root, root)	%{_bindir}/bulk_extractor_viewer
%attr(755, root, root)	%{_bindir}/gbulk_extractor

%changelog
* Mon Jun 25 2012 Lawrence R. Rogers <lrr@cert.org> 1.3.006-1
* Release 1.3.006-1
	This update is expected to be fully forward-compatible with bulk_extractor v1.3 expected in July.
		The "Case" file commands are replaced with "Work Settings" in order to accurately reflect what is going on.
		Errors involving invalid filenames are managed better.
